Subject: bug#9571: 24.0.50; user option to turn off bidi, please

From: Jason Rumney <[email-masked]>
Date: Sat, 24 Sep 2011 11:53:27 +0800

"Drew Adams" <[email-masked]> writes:

> 1. That's not very user-friendly.  We should have a user option that
> does this, i.e., gives users an easy way to disable this feature if they
> don't want to use it.

This report is a bit like the reports we received when 20.1 was entering
pre-release which resulted in the addition of --unibyte and related
kludges, which lived on too long and caused all sorts of bugs.

If you don't want to use bidi, just don't type or look at RTL text.

If it is slowing Emacs down on LTR text in a way that setting
bidi-display-reordering to nil fixes, then please file a bug report, I
am sure an optimisation can be made to fix such slowdowns.